# geos::linearref::LocationIndexOfLine Class Reference

`#include <LocationIndexOfLine.h>`

List of all members.

## Public Member Functions

| LocationIndexOfLine (const geom::Geometry *linearGeom)
LinearLocation * | indicesOf (const geom::Geometry *subLine) const
| Caller must take of releasing with delete[].

## Static Public Member Functions

static LinearLocation * | indicesOf (const geom::Geometry *linearGeom, const geom::Geometry *subLine)
| Determines the location of a subline along a linear Geometry.

## Detailed Description

Determines the location of a subline along a linear Geometry. The location is reported as a pair of LinearLocations.

Note: Currently this algorithm is not guaranteed to return the correct substring in some situations where an endpoint of the test line occurs more than once in the input line. (However, the common case of a ring is always handled correctly).

## Member Function Documentation

static LinearLocation* geos::linearref::LocationIndexOfLine::indicesOf | ( | const geom::Geometry * | linearGeom,
|  | const geom::Geometry * | subLine
| ) |  | `[static]`

Determines the location of a subline along a linear Geometry.

The location is reported as a pair of LinearLocations.

Note: Currently this algorithm is not guaranteed to return the correct substring in some situations where an endpoint of the test line occurs more than once in the input line. (However, the common case of a ring is always handled correctly).

Caller must take of releasing with delete[]

The documentation for this class was generated from the following file:

- LocationIndexOfLine.h